DirectoryValidator.DirectoryCheckResults (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.config.DirectoryValidator.DirectoryCheckResults class
Date: 2021-05-10

net.sourceforge.jnlp.config

## Class DirectoryValidator.DirectoryCheckResults

- java.lang.Object
- - net.sourceforge.jnlp.config.DirectoryValidator.DirectoryCheckResults

- Enclosing class:
    DirectoryValidator

      public static class DirectoryValidator.DirectoryCheckResults
      extends java.lang.Object

  This class is holding results of directory validation. Various errors like can not read, write create dir can apeear For sumaries of results are here getPasses, getFailures methods

  Individual results can be read from results field, or converted to string

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<DirectoryValidator.DirectoryCheckResult>` | `results`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryCheckResults(java.util.List<DirectoryValidator.DirectoryCheckResult> results)` Wraps results so we can make some statistics or convert to message

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFailures()`
    `java.lang.String` | `getMessage()` The result have one reuslt per line, separated by \n as is inherited from result.getMessage() method.
    `int` | `getPasses()`
    `static java.lang.String` | `resultsToString(java.util.List<DirectoryValidator.DirectoryCheckResult> results)`
    `java.lang.String` | `toString()` using getMessage

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### results

          public final java.util.List<DirectoryValidator.DirectoryCheckResult> results

  - ### Constructor Detail

    - #### DirectoryCheckResults

          public DirectoryCheckResults(java.util.List<DirectoryValidator.DirectoryCheckResult> results)

      Wraps results so we can make some statistics or convert to message
      Parameters:
        `results` - results to be checked

  - ### Method Detail

    - #### getPasses

          public int getPasses()

      Returns:
        sum of passed checks, 0-3 per result

    - #### getFailures

          public int getFailures()

      Returns:
        sum of failed checks, 0-3 per results

    - #### getMessage

          public java.lang.String getMessage()

      The result have one reuslt per line, separated by \n as is inherited from result.getMessage() method.
      Returns:
        all results connected.

    - #### toString

          public java.lang.String toString()

      using getMessage
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a text representation of a `DirectoryValidator` object

    - #### resultsToString

          public static java.lang.String resultsToString(java.util.List<DirectoryValidator.DirectoryCheckResult> results)

Submit a bug or feature